Subject: Re: undefined references compiling gcc with ncurses
From: Reid Thompson <[email-masked]>
To: Jeff Scudder <[email-masked]>
Cc: [email-masked]
Date: Tue, 25 Oct 2005 21:13:18 -0400

Jeff Scudder wrote:

>Greetings,
>I am a curses newbie and having trouble running a simple curses
>program. I haven't run into a discussion thus far on the specific
>problem I'm having and I imagine there is a simple solution. My
>program is named ctest.c and is as follows:
>
>
>#include<stdio.h>
>#include<curses.h>
>
>int main()
>{
>  initsscr();
>  cbreak();
>  noecho();
>  char x = getch();
>  while(x != 'q')
>  {
>    printf("Entered: %c\n",x);
>    x = getch();
>  }
>  endwin();
>}
>
>And I compile using
>
>gcc -lncurses ctest.c
>
>When linking I get an undefined reference for each curses function.
>I'm sure I'm doing something wrong.
>
>Thank you,
>
>JS
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Problem reports:       http://cygwin.com/problems.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/fa
>  
>

#include <ncurses.h>

or

#include <ncurses/ncurses.h>

do a
find /usr/include -name ncurses.h  --  i'm not on a cygwin box right now..

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/